/* Challenge n°1 */

/* Fonts */
@font-face { font-family: Montserrat; src: url(../fonts/Montserrat-VariableFont_wght.ttf); } 
@font-face { font-family: Fraunces; src: url(../fonts/frauncessoftwonkopszwght.ttf); } 

/* Global part */
*{
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
    font-family: Montserrat;
}

html{
    background-color: #F2EAE2;
}

@media only screen and (min-width: 1100px) {
    

    /* =============================================================== Container =============================================================== */
    .maincontainer{
        margin: auto;
        contain: content;
        background-color: #FFFFFF;
        display: flex;
        width: 600px;
        height: 450px;
        margin-top: 175px;
        border-radius: 2%;
    }

    /* Image */ 
    .maincontainer .image{
        max-height: 100%;
    }

    .maincontainer .image img{
        height: 450px;
    }

    /* Text Container */
    .maincontainer .textcontainer p{
        font-style: normal;
        margin : 1rem;
        color: #6C7289;
        font-weight: 500;
    }

    .maincontainer .textcontainer .perfume{
        letter-spacing: 5px;
    }

    .maincontainer .textcontainer .gabrielle{
        width: 75%;
    }

    .maincontainer .textcontainer .gabrielle p{
        color: #1C232B;
        font-family: Fraunces;
        font-style: normal;
        font-weight: 700;
        font-size: 32px;
        line-height: 32px;
    }

    .maincontainer .textcontainer .description p{
        line-height: 23px;
    }

    .maincontainer .textcontainer .price{
        display: flex;
    }

    .maincontainer .textcontainer .price .greenprice{
        font-family: 'Fraunces';
        font-style: normal;
        font-weight: 700;
        font-size: 32px;
        line-height: 32px;
        color: #3D8168;
    }

    .maincontainer .textcontainer .price .dashedprice{
        line-height: 200%;
        text-decoration-line: line-through;
    }

    .maincontainer .textcontainer .cart{
        display: flex;
        justify-content: center;
    }

    .maincontainer .textcontainer .cart .group{
        display: flex;
        background-color: #3D8168;
        width: 75%;
        align-items: center;
        justify-content: center;
        border-radius: 10px;
        box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
    }

    .maincontainer .textcontainer .cart .group:hover{
        background-color: #1A4032;
        cursor: pointer;
    }

    .maincontainer .textcontainer .cart .group img{
        width: 14.39px;
        height: 16px;
    }



    .maincontainer .textcontainer .cart .group p{
        color: #FFFFFF;
        font-weight: 700;
    }

}

@media only screen and (max-width: 1100px) {
    .maincontainer{
        display: flex;
        flex-direction: column;
        background-color: #FFFFFF;
        contain: content;
        margin: auto;
        width: 90%;
        height: auto;
        border-radius: 10px;
        margin-top: 10%;
    }

    .maincontainer .image img{
        height: 300px;
        width: 100%;
        object-fit: cover;
    }

    .maincontainer .textcontainer p{
        font-style: normal;
        margin : 1rem;
        color: #6C7289;
        font-weight: 500;
    }

    .maincontainer .textcontainer .perfume{
        letter-spacing: 5px;
    }

    .maincontainer .textcontainer .gabrielle p{
        color: #1C232B;
        font-family: Fraunces;
        font-style: normal;
        font-weight: 700;
        font-size: 32px;
        line-height: 32px;
    }

    .maincontainer .textcontainer .description p{
        line-height: 23px;
    }

    .maincontainer .textcontainer .price{
        display: flex;
    }

    .maincontainer .textcontainer .price .greenprice{
        font-family: 'Fraunces';
        font-style: normal;
        font-weight: 700;
        font-size: 32px;
        line-height: 32px;
        color: #3D8168;
    }

    .maincontainer .textcontainer .price .dashedprice{
        line-height: 200%;
        text-decoration-line: line-through;
    }

    .maincontainer .textcontainer .cart{
        display: flex;
        justify-content: center;
    }

    .maincontainer .textcontainer .cart .group{
        display: flex;
        background-color: #3D8168;
        width: 75%;
        align-items: center;
        justify-content: center;
        border-radius: 10px;
        box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
        margin-bottom: 5%;
    }

    .maincontainer .textcontainer .cart .group:hover{
        background-color: #1A4032;
        cursor: pointer;
    }

    .maincontainer .textcontainer .cart .group img{
        width: 14.39px;
        height: 16px;
    }

    .maincontainer .textcontainer .cart .group p{
        color: #FFFFFF;
        font-weight: 700;
    }
}